__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0

source lib.sh

readonly KSFT_SKIP=4

IP4=192.0.2.1/24
TGT4=192.0.2.2
TGT4_RAW=192.0.2.3
IP6=2001:db8::1/64
TGT6=2001:db8::2
TGT6_RAW=2001:db8::3
PORT=1234
TOTAL_TESTS=0
FAILED_TESTS=0

if ! command -v jq &> /dev/null; then
    echo "SKIP cmsg_so_priroity.sh test: jq is not installed." >&2
    exit "$KSFT_SKIP"
fi

check_result() {
    ((TOTAL_TESTS++))
    if [ "$1" -ne 0 ]; then
        ((FAILED_TESTS++))
    fi
}

cleanup()
{
    cleanup_ns $NS
}

trap cleanup EXIT

setup_ns NS

create_filter() {
    local handle=$1
    local vlan_prio=$2
    local ip_type=$3
    local proto=$4
    local dst_ip=$5
    local ip_proto

    if [[ "$proto" == "u" ]]; then
        ip_proto="udp"
    elif [[ "$ip_type" == "ipv4" && "$proto" == "i" ]]; then
        ip_proto="icmp"
    elif [[ "$ip_type" == "ipv6" && "$proto" == "i" ]]; then
        ip_proto="icmpv6"
    fi

    tc -n $NS filter add dev dummy1 \
        egress pref 1 handle "$handle" proto 802.1q \
        flower vlan_prio "$vlan_prio" vlan_ethtype "$ip_type" \
        dst_ip "$dst_ip" ${ip_proto:+ip_proto $ip_proto} \
        action pass
}

ip -n $NS link set dev lo up
ip -n $NS link add name dummy1 up type dummy

ip -n $NS link add link dummy1 name dummy1.10 up type vlan id 10 \
    egress-qos-map 0:0 1:1 2:2 3:3 4:4 5:5 6:6 7:7

ip -n $NS address add $IP4 dev dummy1.10
ip -n $NS address add $IP6 dev dummy1.10 nodad

ip netns exec $NS sysctl -wq net.ipv4.ping_group_range='0 2147483647'

ip -n $NS neigh add $TGT4 lladdr 00:11:22:33:44:55 nud permanent \
    dev dummy1.10
ip -n $NS neigh add $TGT6 lladdr 00:11:22:33:44:55 nud permanent \
    dev dummy1.10
ip -n $NS neigh add $TGT4_RAW lladdr 00:11:22:33:44:66 nud permanent \
    dev dummy1.10
ip -n $NS neigh add $TGT6_RAW lladdr 00:11:22:33:44:66 nud permanent \
    dev dummy1.10

tc -n $NS qdisc add dev dummy1 clsact

FILTER_COUNTER=10

for i in 4 6; do
    for proto in u i r; do
        echo "Test IPV$i, prot: $proto"
        for priority in {0..7}; do
            if [[ $i == 4 && $proto == "r" ]]; then
                TGT=$TGT4_RAW
            elif [[ $i == 6 && $proto == "r" ]]; then
                TGT=$TGT6_RAW
            elif [ $i == 4 ]; then
                TGT=$TGT4
            else
                TGT=$TGT6
            fi

            handle="${FILTER_COUNTER}${priority}"

            create_filter $handle $priority ipv$i $proto $TGT

            pkts=$(tc -n $NS -j -s filter show dev dummy1 egress \
                | jq ".[] | select(.options.handle == ${handle}) | \
                .options.actions[0].stats.packets")

            if [[ $pkts == 0 ]]; then
                check_result 0
            else
                echo "prio $priority: expected 0, got $pkts"
                check_result 1
            fi

            ip netns exec $NS ./cmsg_sender -$i -Q $priority \
	            -p $proto $TGT $PORT

            pkts=$(tc -n $NS -j -s filter show dev dummy1 egress \
                | jq ".[] | select(.options.handle == ${handle}) | \
                .options.actions[0].stats.packets")
            if [[ $pkts == 1 ]]; then
                check_result 0
            else
                echo "prio $priority -Q: expected 1, got $pkts"
                check_result 1
            fi

            ip netns exec $NS ./cmsg_sender -$i -P $priority \
	            -p $proto $TGT $PORT

            pkts=$(tc -n $NS -j -s filter show dev dummy1 egress \
                | jq ".[] | select(.options.handle == ${handle}) | \
                .options.actions[0].stats.packets")
            if [[ $pkts == 2 ]]; then
                check_result 0
            else
                echo "prio $priority -P: expected 2, got $pkts"
                check_result 1
            fi
        done
        FILTER_COUNTER=$((FILTER_COUNTER + 10))
    done
done

if [ $FAILED_TESTS -ne 0 ]; then
    echo "FAIL - $FAILED_TESTS/$TOTAL_TESTS tests failed"
    exit 1
else
    echo "OK - All $TOTAL_TESTS tests passed"
    exit 0
fi

Filemanager

Name Type Size Permission Actions
af_unix Folder 0755
forwarding Folder 0755
hsr Folder 0755
lib Folder 0755
mptcp Folder 0755
netfilter Folder 0755
openvswitch Folder 0755
packetdrill Folder 0755
rds Folder 0755
tcp_ao Folder 0755
Makefile File 4.82 KB 0644
altnames.sh File 1.77 KB 0755
amt.sh File 9.2 KB 0755
arp_ndisc_evict_nocarrier.sh File 5.15 KB 0755
arp_ndisc_untracked_subnets.sh File 7.04 KB 0755
bareudp.sh File 20.79 KB 0755
big_tcp.sh File 5.49 KB 0755
bind_bhash.sh File 1.34 KB 0755
busy_poll_test.sh File 3.47 KB 0755
cmsg_ipv6.sh File 3.34 KB 0755
cmsg_so_mark.sh File 1.54 KB 0755
cmsg_so_priority.sh File 3.93 KB 0755
cmsg_time.sh File 2.22 KB 0755
drop_monitor_tests.sh File 4.34 KB 0755
fcnal-test.sh File 106.62 KB 0755
fdb_flush.sh File 21.04 KB 0755
fdb_notify.sh File 1.81 KB 0755
fib-onlink-tests.sh File 12.04 KB 0755
fib_nexthop_multiprefix.sh File 5.81 KB 0755
fib_nexthop_nongw.sh File 2.19 KB 0755
fib_nexthops.sh File 73.9 KB 0755
fib_rule_tests.sh File 17.66 KB 0755
fib_tests.sh File 77.47 KB 0755
fin_ack_lat.sh File 507 B 0755
fq_band_pktlimit.sh File 1.81 KB 0755
gre_gso.sh File 4.04 KB 0755
gro.sh File 2.27 KB 0755
icmp.sh File 2.52 KB 0755
icmp_redirect.sh File 12.49 KB 0755
in_netns.sh File 323 B 0755
io_uring_zerocopy_tx.sh File 3 KB 0755
ioam6.sh File 50.49 KB 0755
ip6_gre_headroom.sh File 1.37 KB 0755
ip_defrag.sh File 2.04 KB 0755
ip_local_port_range.sh File 153 B 0755
ipv6_flowlabel.sh File 1 KB 0755
ipv6_route_update_soft_lockup.sh File 10.8 KB 0755
l2_tos_ttl_inherit.sh File 13.95 KB 0755
l2tp.sh File 9.68 KB 0755
lib.sh File 8.65 KB 0644
lwt_dst_cache_ref_loop.sh File 5.94 KB 0755
msg_zerocopy.sh File 2.93 KB 0755
ndisc_unsolicited_na_test.sh File 5.85 KB 0755
net_helper.sh File 514 B 0644
netdevice.sh File 5.69 KB 0755
netns-name.sh File 2.4 KB 0755
netns-sysctl.sh File 910 B 0755
pmtu.sh File 78.42 KB 0755
psock_snd.sh File 2.2 KB 0755
reuseaddr_ports_exhausted.sh File 635 B 0755
reuseport_addr_any.sh File 81 B 0755
route_localnet.sh File 1.92 KB 0755
rps_default_mask.sh File 2.19 KB 0755
rtnetlink.sh File 35.16 KB 0755
rxtimestamp.sh File 79 B 0755
sctp_vrf.sh File 5.81 KB 0755
setup_loopback.sh File 2.7 KB 0644
setup_veth.sh File 1.01 KB 0644
so_txtime.sh File 2.71 KB 0755
srv6_end_dt46_l3vpn_test.sh File 20.57 KB 0755
srv6_end_dt4_l3vpn_test.sh File 16.92 KB 0755
srv6_end_dt6_l3vpn_test.sh File 17.11 KB 0755
srv6_end_dx4_netfilter_test.sh File 10.92 KB 0755
srv6_end_dx6_netfilter_test.sh File 11.13 KB 0755
srv6_end_flavors_test.sh File 23.56 KB 0755
srv6_end_next_csid_l3vpn_test.sh File 32.53 KB 0755
srv6_end_x_next_csid_l3vpn_test.sh File 35.46 KB 0755
srv6_hencap_red_l3vpn_test.sh File 23.15 KB 0755
srv6_hl2encap_red_l2vpn_test.sh File 20.51 KB 0755
stress_reuseport_listen.sh File 539 B 0755
tcp_fastopen_backup_key.sh File 1.06 KB 0755
test_blackhole_dev.sh File 280 B 0755
test_bpf.sh File 225 B 0755
test_bridge_backup_port.sh File 27.35 KB 0755
test_bridge_neigh_suppress.sh File 28.4 KB 0755
test_ingress_egress_chaining.sh File 2.14 KB 0644
test_vxlan_fdb_changelink.sh File 678 B 0755
test_vxlan_mdb.sh File 92.63 KB 0755
test_vxlan_nolocalbypass.sh File 5.57 KB 0755
test_vxlan_under_vrf.sh File 5.54 KB 0755
test_vxlan_vnifiltering.sh File 20.91 KB 0755
toeplitz.sh File 4.87 KB 0755
toeplitz_client.sh File 667 B 0755
traceroute.sh File 6.91 KB 0755
txtimestamp.sh File 1.84 KB 0755
udpgro.sh File 5.72 KB 0755
udpgro_bench.sh File 2.08 KB 0755
udpgro_frglist.sh File 2.43 KB 0755
udpgro_fwd.sh File 7.08 KB 0755
udpgso.sh File 2.42 KB 0755
udpgso_bench.sh File 2.83 KB 0755
unicast_extensions.sh File 7.77 KB 0755
veth.sh File 10.75 KB 0755
vlan_bridge_binding.sh File 4.49 KB 0755
vlan_hw_filter.sh File 819 B 0755
vrf-xfrm-tests.sh File 10.65 KB 0755
vrf_route_leaking.sh File 16.48 KB 0755
vrf_strict_mode_test.sh File 8 KB 0755
xfrm_policy.sh File 14.65 KB 0755
xfrm_policy_add_speed.sh File 1.51 KB 0755
Filemanager